curl --request GET \
--url https://external-api.kalshi.com/trade-api/v2/multivariate_event_collectionsimport requests
url = "https://external-api.kalshi.com/trade-api/v2/multivariate_event_collections"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://external-api.kalshi.com/trade-api/v2/multivariate_event_collections', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"multivariate_contracts": [
{
"collection_ticker": "<string>",
"series_ticker": "<string>",
"title": "<string>",
"description": "<string>",
"open_date": "2023-11-07T05:31:56Z",
"close_date": "2023-11-07T05:31:56Z",
"associated_events": [
{
"ticker": "<string>",
"is_yes_only": true,
"active_quoters": [
"<string>"
],
"size_max": 123,
"size_min": 123
}
],
"associated_event_tickers": [
"<string>"
],
"is_ordered": true,
"is_single_market_per_event": true,
"is_all_yes": true,
"size_min": 123,
"size_max": 123,
"functional_description": "<string>",
"exchange_index": 0
}
],
"cursor": "<string>"
}{
"code": "<string>",
"message": "<string>",
"details": "<string>"
}{
"code": "<string>",
"message": "<string>",
"details": "<string>"
}Get Multivariate Event Collections
Endpoint for getting data about multivariate event collections.
Query Parameters
Only return collections of a certain status. Can be unopened, open, or closed.
unopened, open, closed Only return collections associated with a particular event ticker.
Only return collections with a particular series ticker.
Specify the maximum number of results.
1 <= x <= 200The Cursor represents a pointer to the next page of records in the pagination. This optional parameter, when filled, should be filled with the cursor string returned in a previous request to this end-point.
Response
Collections retrieved successfully
List of multivariate event collections.
Show child attributes
Show child attributes
The Cursor represents a pointer to the next page of records in the pagination. Use the value returned here in the cursor query parameter for this end-point to get the next page containing limit records. An empty value of this field indicates there is no next page.